<?php
namespace Bushelpowered\Api\Aggregator\Location\V1\Request;
        
class GetLocationByIdRequest 
{
    /** @var string $id The location identifier in Tenant*/
    public string $id;
    /** @var string $companyIdRemoteId The global unique identifier of the source record in Centre, this will be a concatenation of the companyId and remoteId to ensure uniqueness.*/
    public string $companyIdRemoteId;

    /**
     * @param  string  $id The location identifier in Tenant
     * @param  string  $companyIdRemoteId The global unique identifier of the source record in Centre, this will be a concatenation of the companyId and remoteId to ensure uniqueness.
     */
    public function __construct(string $id, string $companyIdRemoteId)
    {
        $this->id = $id;
        $this->companyIdRemoteId = $companyIdRemoteId;
    }
    

}